
package webservices;

import javax.xml.ws.WebFault;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.3.0
 * Generated source version: 2.2
 * 
 */
@WebFault(name = "DatabaseErrorException", targetNamespace = "http://webservices/")
public class DatabaseErrorException_Exception
    extends Exception
{

    /**
     * Java type that goes as soapenv:Fault detail element.
     * 
     */
    private DatabaseErrorException faultInfo;

    /**
     * 
     * @param faultInfo
     * @param message
     */
    public DatabaseErrorException_Exception(String message, DatabaseErrorException faultInfo) {
        super(message);
        this.faultInfo = faultInfo;
    }

    /**
     * 
     * @param faultInfo
     * @param cause
     * @param message
     */
    public DatabaseErrorException_Exception(String message, DatabaseErrorException faultInfo, Throwable cause) {
        super(message, cause);
        this.faultInfo = faultInfo;
    }

    /**
     * 
     * @return
     *     returns fault bean: webservices.DatabaseErrorException
     */
    public DatabaseErrorException getFaultInfo() {
        return faultInfo;
    }

}
